<%@ page import="java.util.*,leon.app.*,leon.data.*,leon.info.*,leon.misc.*,leon.view.web.*,leon.view.web.jquery.*"%>
<%@ page import="w4.demo.common.*"%>

<%
	LySession leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyApplication leonardiApplication = leonardiSession.getApplication();
	LyEnvironment environment = leonardiSession.getEnvironment();
	String appName = environment.translate("LY_APPLICATION");
	String tip = environment.getImageUrl("LY_UP_PAGE_TIP");
	String tipOver = environment.getImageUrl("LY_UP_PAGE_TIP_OVER");
	String exit = environment.getImageUrl("LY_UP_PAGE_EXIT");
	String exitOver = environment.getImageUrl("LY_UP_PAGE_EXIT_OVER");
	String social = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_SOCIAL");
	String socialOver = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_SOCIAL");
	String sticker = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_CREATE_STICKER");
	String stickerOver = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_CREATE_STICKER");
	String metrics = leonardiSession.getEnvironment().getImageUrl("LY_METRIC");
	String metricsOver = leonardiSession.getEnvironment().getImageUrl("LY_METRIC");
	String separatorImg = environment.getImageUrl("LY_MESSAGE_SEPARATOR");
	
	String socialButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_SOCIAL");
	String stickerButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_CREATE_STICKER");
	String metricsButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_METRICS");
	String tipButtonName = environment.translate("LY_TOOL_ABOUT");
	String exitButtonName = environment.translate("LY_TOOL_QUIT");
	String actorProfileButtonName = environment.translate("ACT_W4_ACTOR_PROFILE");
	LyObject user = leonardiSession.getUser();

	LyAction guiUserProfileAction = leonardiApplication.getActionWithTemplate("w4_actor_profile", null);
	String completeName = user.getName();
	List<W4Actor> actors = LoadActors.getActors();	
	for(W4Actor actor : actors){
		if(actor.login().equals(user.getName())){
			completeName = actor.userName();
			break;
		}
	}		
	
	if (guiUserProfileAction == null)
	{
		guiUserProfileAction = (LyAction)leonardiApplication.getAction("guiUserProfile");
		if (guiUserProfileAction == null){
			guiUserProfileAction = leonardiApplication.getAction("w4_actor_profile");
				
		}
	}

	String actorProfile = environment.getImageUrl("IMG_W4_ACTOR_PROFILE");
	String leftBg = environment.getImageUrl("W4_GLOBE_BACKGROUND");
	String leftImage = leonardiSession.getEnvironment().getImageUrl("LY_UP_LOGO_BACKGROUND");
	int pageHeight = 80;
	
	LyJQViewManager		viewManager = (LyJQViewManager)environment.getViewManager();
	boolean 		isRtlMode = viewManager.isRtlMode();
	String targetCode = viewManager.getTargetCode();
	
	String	direction = "";
	if (isRtlMode)
		direction = "rtl";
%>

<html dir="<%=direction%>">
	<head>    	
		<script type="text/javascript">
		    var targetParam = '<%=targetCode%>';
		</script>
		<script type="text/javascript" src="./leon/scripts/LyUtilsScript.js" ></script>
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/jquery.min.js"></script> 
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/ui/jquery-ui.min.js"></script>
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/ajax/eventsUtils.js"></script> 
		<link type="text/css" rel="stylesheet" href="./leon/css/jquery-ui/themes/w4/jquery-ui.css">
		<title></title>
		<script language="JavaScript">
				$(this.parent.document).find(".frameUpPage").height('<%=pageHeight%>');
				$(this.parent.document).find(".frameUpPage").css("display","block");
		</script>
		</head>

<body style='overflow:hidden;margin:0;padding:0;border:0px'>
  <img src='<%=leftImage%>' style='position:absolute;top:15px;<%if(isRtlMode) {%>right<% } %><%if(!isRtlMode){%>left<% } %>:10px;'>
	<table border='0' width='100%' height='<%=pageHeight%>' cellspacing='0' cellpadding='0'>
		<tr>
			<td valign='bottom' width='180' align='<%if(isRtlMode) {%>left<% } %><%if(!isRtlMode){%>right<% } %>' style='background:url(<%=leftBg%>);background-repeat:no-repeat;'>&nbsp;</td>
			<td align="<%if(isRtlMode) {%>right<% } %><%if(!isRtlMode){%>left<% } %>" valign='middle'>
				<font style='font-family:trebuchet MS;font-size:16px;font-weight:bold;color:#000000;'><%=appName%></font>
			</td>
			<td align="<%if(isRtlMode) {%>left<% } %><%if(!isRtlMode){%>right<% } %>" valign="middle">
			<% if (leonardiSession !=null && leonardiSession.isValid()) { %>
				<div id ="commands">
				<table border='0' cellpadding='1' cellspacing='0'>
					<tr>
						<% if (user != null && guiUserProfileAction != null) { %>
						<td class="upFrameTool"><a class='delta-button' href="javascript:upFramefireAction('<%=guiUserProfileAction.getId()%>')" style='text-decoration:none;'><img id='user_image' style="vertical-align:middle" src='<%=actorProfile%>' border='0'
							title='<%=actorProfileButtonName%>'/><font style='font-family:trebuchet MS;font-size:11px;color:#1D293D;text-decoration:none;'>&nbsp;<%=completeName%>&nbsp;</font></a></td>
						<td>&nbsp;<img src='<%=separatorImg%>' />&nbsp;</td>	
						<% } %>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_STICKER_TOOL_IN_UP_PAGE")) { %>
						<td class="upFrameTool"><a href="javascript:upFramefireAction('_createSticker')"><img id='sticker_image' src='<%=sticker%>' border='0'
							onmouseout="this.src='<%=sticker%>';"
							onmouseover="this.src='<%=stickerOver%>';"
							title='<%=stickerButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_SOCIAL_TOOL_IN_UP_PAGE")) { %>
						<td class="upFrameTool"><a href="javascript:upFramefireAction('_social')"><img id='social_image' src='<%=social%>' border='0'
							onmouseout="this.src='<%=social%>';"
							onmouseover="this.src='<%=socialOver%>';"
							title='<%=socialButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_METRICS_TOOL_IN_UP_PAGE")
									&& leonardiSession.getEnvironment().testResource("LY_ACTIVATE_METRICS")) { %>
						<td class="upFrameTool"><a href="javascript:upFramefireAction('_leonMetricsPanel')"><img id='metrics_image' src='<%=metrics%>' border='0'
							onmouseout="this.src='<%=metrics%>';"
							onmouseover="this.src='<%=metricsOver%>';"
							title='<%=metricsButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<td class="upFrameTool"><a href="javascript:upFramefireAction('_about')" ><img id='tip_image' src='<%=tip%>' border='0'
							onmouseout="this.src='<%=tip%>';"
							onmouseover="this.src='<%=tipOver%>';"
							title='<%=tipButtonName%>'/></a></td>
						<td width='2'>&nbsp;</td>
						<td class="upFrameTool"><a href="javascript:upFramefireAction('_exit')"><img id='exit_image' src='<%=exit%>' border='0'
							onmouseout="this.src='<%=exit%>';"
							onmouseover="this.src='<%=exitOver%>';"
							title='<%=exitButtonName%>'/></a></td>
						<td width='37'>&nbsp;</td>
					</tr>
				</table>
				</div>
			<% } %>
			</td>
		</tr>
	</table>
</body>
</html>
