/*
 * EstablishmentComplexListBehavior.java
 * Copyright (c) 2008, Lyria.
 * All rights reserved.
 */

package hotel.behavior;

import leon.app.behavior.*;
import leon.control.*;
import leon.info.*;


/**
 * This class implements the behavior for a complex list of etablissements.
 *
 * @author Lyria S.A.
 */
public class EstablishmentComplexListBehavior extends LyComplexTableBehavior
{

	/**
	 * Indicates if there must be a function line for given class info.
	 *
	 * @param  tableController Complex table controller.
	 * @param  classInfo       Class info for which a function line may be required.
	 * @return true if there must be a function line, false otherwise
	 */
	public boolean hasFunctionLine(LyComplexTableController tableController, LyClassInfo classInfo)
	{
		return false;
	}
}